#pragma once
#include <string>

namespace myapp::persistence {

class database
{
public:
    virtual ~database() = default;
    virtual void save_readout(std::string const& topic, std::string const& value) = 0;
    virtual std::string last_readout(std::string const& topic) = 0;
};

} /* namespace myapp::persistence */
